OSTicket Support Cards 'View.PHP'跨站脚本攻击漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1111791 漏洞类型 跨站脚本
发布时间 2006-12-19 更新时间 2006-12-27
CVE编号 CVE-2006-6733 CNNVD-ID CNNVD-200612-529
漏洞平台 PHP CVSS评分 4.3
|漏洞来源
https://www.exploit-db.com/exploits/29298
https://cxsecurity.com/issue/WLB-2006120144
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200612-529
|漏洞详情
SupportCards1(osTicket)的support/view.php中存在跨站点脚本(XSS)漏洞,远程攻击者可以通过e参数注入任意Web脚本或HTML。
|漏洞EXP
source: http://www.securityfocus.com/bid/21669/info

osTicket Support Cards is prone to a cross-site scripting vulnerability because the application fails to properly sanitize user-supplied input. 

An attacker may leverage this issue to have arbitrary script code execute in the browser of an unsuspecting user in the context of the affected site. This may help the attacker steal cookie-based authentication credentials and launch other attacks.

http://www.example.com/calendar/export_handler.php?format=<body+onload=alert(1111)>&id=200 http://www.example.com/calendar/export_handler.php?format=<img+src=http://www.example2.com/img/logo.gif+onload=alert(1111)>&id=200
|参考资料

来源:BID
名称:21669
链接:http://www.securityfocus.com/bid/21669
来源:BUGTRAQ
名称:20061219xssinSupportCardsv1(oSTicket)
链接:http://www.securityfocus.com/archive/1/archive/1/454856/100/0/threaded
来源:SREASON
名称:2076
链接:http://securityreason.com/securityalert/2076